<template>
  <div>
    <Card>
      iview-adminБудет автоматически собирать ошибки в вашей программе. Вы можете отправить журнал ошибок на серверную часть, чтобы сохранить его。Если вам не нужна эта функция，и './src/config/index.js' внутри плагина которого 'error-store'. Просто удалите атрибут。
      Кроме того, в среде разработки будут собираться ошибки в вашей программе, которые могут не способствовать устранению неполадок. Вы можете './src/config/index.js' который 'error-store' 'developmentOff' установлен true。
      Если вы просто хотите собирать журналы ошибок и не хотите, чтобы пользователи, вошедшие в систему, видели журнал ошибок，вы не можете предоставить записи для просмотра журнала. Просто отправьте './src/config/index.js'的'error-store' в котором 'showInHeader' установлен false。
    </Card>
    <Card style="margin-top: 20px;">
      <Row>
        <i-col span="8">
          <Button @click="click" style="display: block">Нажмите кнопку "Проверить", чтобы вызвать ошибку программы.</Button>
          <Button @click="ajaxClick" style="margin-top:10px;">Нажмите кнопку "Тестовый триггер"ajaxОшибка запроса интерфейса</Button>
        </i-col>
        <i-col span="16">
          Запрос интерфейса ajax состоит в том, чтобы запросить несуществующий интерфейс easy-mock, поэтому сервер сообщит об ошибке 404. Механизм сбора ошибок соберет эту ошибку.
          Во время теста есть определенная задержка в сети, поэтому подождите некоторое время после нажатия кнопки.
          Ошибка будет собрана.        </i-col>
      </Row>
    </Card>
  </div>
</template>

<script>
import { errorReq } from '@/api/data'
export default {
  name: 'error_store_page',
  methods: {
    click () {
      console.log(admin)
    },
    ajaxClick () {
      errorReq()
    }
  }
}
</script>

<style>

</style>
